# Generated by Django 4.1.4 on 2023-01-06 17:54

from django.db import migrations, models
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="Post",
            fields=[
                (
                    "id",
                    models.UUIDField(
                        default=uuid.uuid4,
                        editable=False,
                        primary_key=True,
                        serialize=False,
                    ),
                ),
                ("slug", models.CharField(db_index=True, max_length=64, unique=True)),
                ("type", models.CharField(db_index=True, max_length=32)),
                ("author", models.CharField(max_length=64)),
                ("url", models.URLField(blank=True, null=True)),
                ("title", models.CharField(blank=True, max_length=512, null=True)),
                ("subtitle", models.CharField(blank=True, max_length=512, null=True)),
                ("image", models.URLField(blank=True, null=True)),
                ("og_title", models.CharField(blank=True, max_length=512, null=True)),
                ("og_image", models.URLField(blank=True, null=True)),
                ("og_description", models.TextField(blank=True, null=True)),
                ("announce_text", models.TextField(blank=True, null=True)),
                ("text", models.TextField(blank=True, null=True)),
                ("html_cache", models.TextField(blank=True, null=True)),
                ("rss_cache", models.TextField(blank=True, null=True)),
                ("data", models.JSONField(blank=True, null=True)),
                ("css", models.TextField(blank=True, null=True)),
                ("created_at", models.DateTimeField()),
                ("published_at", models.DateTimeField()),
                ("updated_at", models.DateTimeField()),
                ("comment_count", models.PositiveIntegerField(default=0)),
                ("view_count", models.PositiveIntegerField(default=0)),
                ("word_count", models.PositiveIntegerField(default=0)),
                ("is_raw_html", models.BooleanField(default=False)),
                ("is_visible", models.BooleanField(default=True)),
                ("is_members_only", models.BooleanField(default=False)),
                ("is_commentable", models.BooleanField(default=True)),
                ("is_visible_on_home_page", models.BooleanField(default=False)),
            ],
            options={
                "db_table": "posts",
                "ordering": ("-created_at",),
            },
        ),
    ]
