# Generated by Django 4.1.4 on 2023-01-06 17:54

import django.contrib.postgres.fields
from django.db import migrations, models
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ("auth", "0012_alter_user_first_name_max_length"),
    ]

    operations = [
        migrations.CreateModel(
            name="User",
            fields=[
                ("password", models.CharField(max_length=128, verbose_name="password")),
                (
                    "last_login",
                    models.DateTimeField(
                        blank=True, null=True, verbose_name="last login"
                    ),
                ),
                (
                    "is_superuser",
                    models.BooleanField(
                        default=False,
                        help_text="Designates that this user has all permissions without explicitly assigning them.",
                        verbose_name="superuser status",
                    ),
                ),
                (
                    "id",
                    models.UUIDField(
                        default=uuid.uuid4,
                        editable=False,
                        primary_key=True,
                        serialize=False,
                    ),
                ),
                ("slug", models.CharField(max_length=32, unique=True)),
                ("email", models.EmailField(max_length=254, unique=True)),
                ("full_name", models.CharField(max_length=128)),
                ("avatar", models.URLField(blank=True, null=True)),
                ("secret_hash", models.CharField(max_length=24, unique=True)),
                ("city", models.CharField(max_length=128, null=True)),
                ("country", models.CharField(max_length=128, null=True)),
                ("created_at", models.DateTimeField(auto_now_add=True)),
                ("updated_at", models.DateTimeField(auto_now=True)),
                ("last_activity_at", models.DateTimeField(auto_now=True)),
                (
                    "patreon_id",
                    models.CharField(max_length=128, null=True, unique=True),
                ),
                ("telegram_id", models.CharField(max_length=128, null=True)),
                ("telegram_data", models.JSONField(null=True)),
                ("is_email_verified", models.BooleanField(default=False)),
                ("is_email_unsubscribed", models.BooleanField(default=False)),
                ("is_banned_until", models.DateTimeField(null=True)),
                (
                    "roles",
                    django.contrib.postgres.fields.ArrayField(
                        base_field=models.CharField(
                            choices=[("admin", "Админ")], max_length=32
                        ),
                        default=list,
                        size=None,
                    ),
                ),
                ("deleted_at", models.DateTimeField(null=True)),
                (
                    "groups",
                    models.ManyToManyField(
                        blank=True,
                        help_text="The groups this user belongs to. A user will get all permissions granted to each of their groups.",
                        related_name="user_set",
                        related_query_name="user",
                        to="auth.group",
                        verbose_name="groups",
                    ),
                ),
                (
                    "user_permissions",
                    models.ManyToManyField(
                        blank=True,
                        help_text="Specific permissions for this user.",
                        related_name="user_set",
                        related_query_name="user",
                        to="auth.permission",
                        verbose_name="user permissions",
                    ),
                ),
            ],
            options={
                "db_table": "users",
            },
        ),
    ]
